﻿@model IEnumerable<CallMgrSystem.Models.vw_RECDevices>

@{
    ViewBag.Title = "Thiết bị | SmartCenter Recording";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
<div class="devices">
    <h3><i class="fab fa-slack"></i> Danh sách thiết bị và trạng thái site trung tâm</h3>
    <table id="f5devTable" class="table table-striped table-condensed">
        <thead>
            <tr>
                <th onclick="sortTable(0)">Stt</th>
                <th onclick="sortTable(2)">Status</th>
                <th onclick="sortTable(3)">Trạm</th>
                <th onclick="sortTable(4)">Số máy</th>
                <th onclick="sortTable(5)">Tên nhân viên</th>
                <th onclick="sortTable(6)">Kiểu</th>
                <th onclick="sortTable(7)">Chủ gọi</th>
                <th onclick="sortTable(8)">Bị gọi</th>
                <th onclick="sortTable(9)">Thời lượng</th>
            </tr>
        </thead>
        <tbody>
            @{ int i = 0;}
            @foreach (var item in Model)
            {
                i++;
                <tr>
                    <td>@i</td>
                    <td>
                        @if (item.Status == -1)
                        {
                            <img src="@Url.Content("~/public/images/s_freecall.png")">
                        }
                        else if (item.Status == 0)
                        {
                           <a data-toggle="modal" id="tb2-@item.ID" href="#tb1-@item.ID"><img src="@Url.Content("~/public/images/s_calling.png")"></a>
                           <div class="modal fade" id="tb1-@item.ID" role="dialog">
                                <div class="modal-dialog">
                                    <div class="modal-content">
                                        <!-- Modal body -->
                                        <div class="modal-body" style="text-align: center;">
                                            <audio id="audio" preload="auto" tabindex="0" controls="">
                                                <source src="@Url.Content("~/public/audio/file2.mp3")" type="audio/mpeg" style="width: 100%;">
                                                Your Fallback goes here
                                            </audio>
                                            <ul id="playlist" style="display: none;">
                                                <li class="active">
                                                    <a href="@Url.Content("~/public/audio/file2.mp3")">
                                                        Ravel Bolero
                                                    </a>
                                                </li>
                                                <li>
                                                    <a href="@Url.Content("~/public/audio/file1.mp3")">
                                                        Moonlight Sonata - Beethoven
                                                    </a>
                                                </li>
                                                <li>
                                                    <a href="@Url.Content("~/public/audio/file2.mp3")">
                                                        Canon in D Pachabel
                                                    </a>
                                                </li>
                                            </ul>
                                            <script>
                                                $(document).ready(function () {
                                                    init();
                                                    function init() {
                                                        var current = 0;
                                                        var audio = $('#audio');
                                                        var playlist = $('#playlist');
                                                        var tracks = playlist.find('li a');
                                                        var len = tracks.length - 1;
                                                        audio[0].volume = .10;
                                                        audio[0].play();
                                                        playlist.on('click', 'a', function (e) {
                                                            e.preventDefault();
                                                            link = $(this);
                                                            current = link.parent().index();
                                                            run(link, audio[0]);
                                                        });
                                                        audio[0].addEventListener('ended', function (e) {
                                                            current++;
                                                            if (current == len) {
                                                                current = 0;
                                                                link = playlist.find('a')[0];
                                                            } else {
                                                                link = playlist.find('a')[current];
                                                            }
                                                            run($(link), audio[0]);
                                                        });
                                                    }
                                                    function run(link, player) {
                                                        player.src = link.attr('href');
                                                        par = link.parent();
                                                        par.addClass('active').siblings().removeClass('active');
                                                        player.load();
                                                        player.play();
                                                    }
                                                });
                                            </script>
                                        </div>
                                    </div>
                                </div>
                           </div>
                           <script>
                                $('#tb1-@item.ID').on('click', function () {

                                $('#@item.ID').modal('show');

                            });
                           </script>
                        }
                        else if (item.Status == 1)
                        {
                            <img src="@Url.Content("~/public/images/s_waitting.png")">
                        }

                    </td>
                    <td>@item.Trạm</td>
                    <td>@item.Số_máy</td>
                    <td>@item.Tên</td>
                    <td>@item.Kiểu_ghi</td>
                    <td>@item.Chủ_gọi</td>
                    <td>@item.Bị_gọi</td>
                    <td>@item.Thời_lượng</td>
                </tr>
            }
        </tbody>
    </table>
</div>
<script>
    $.get("/Devices/GetData/", function (data) { someJavacriptMethodOnData(data); });
</script>